package com.virjar.echo.adr.repo;

import com.virjar.echo.adr.bean.Result;
import com.virjar.echo.adr.bean.UserInfo;

import retrofit2.Call;
import retrofit2.http.Field;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.GET;
import retrofit2.http.POST;

public interface UserApi {
    @GET("api/user/userInfo")
    Call<Result<UserInfo>> loginWithToken();


    @FormUrlEncoded
    @POST("api/user/login")
    Call<Result<UserInfo>> loginWithUsername(@Field("userName") String userName,
                                             @Field("password") String password);
}
